
Redmine - Defect #1641

Setting time zone rise Internal error

2008-07-14 20:53 - Sergej Jegorov

Status: Closed Start date: 2008-07-14

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Distribution: Debian 4.0

database: MySQL Ver 14.12 Distrib 5.0.32, for pc-linux-gnu (i486) using readline 5.2

Rails 2.1.0

ruby 1.8.5 (2006-08-25) [i486-linux]

svn, version 1.4.2

error occurs after update Redmine from r1625 to r1626, and exists up to r1669

If in user settings defined time zone Internal error rised in "My Account", "My Page" & etc pages. When I do svn up -r1625

app/helpers/application_helper.rb all works fine.

Processing MyController#account (for 192.168.0.55 at 2008-07-14 21:49:50) [GET]

  Session ID: 99c3677b74c7a0b653fb2b21b2489d30

  Parameters: {"action"=>"account", "controller"=>"my"}

Rendering template within layouts/base

Rendering my/account

ActionView::TemplateError (undefined method `period_for_utc' for #<TzinfoTimezone:0xb7140868 @utc_

offset=0, @name="London">) on line #4 of my/_sidebar.rhtml:

1: <h3><%=l(:label_my_account)%></h3>

2:

3: <p><%=l(:field_login)%>: <strong><%= @user.login %></strong><br />

4: <%=l(:field_created_on)%>: <%= format_time(@user.created_on) %></p>

5: <% if @user.rss_token %>

6: <p><%= l(:label_feeds_access_key_created_on, distance_of_time_in_words(Time.now, @user.rss_toke

n.created_on)) %>

7: (<%= link_to l(:button_reset), {:action => 'reset_rss_key'}, :method => :post %>)</p>

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/time_with_zone.rb:57:in `pe

riod'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/time_with_zone.rb:94:in `zo

ne'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/time_with_zone.rb:145:in `s

trftime'

    app/helpers/application_helper.rb:81:in `format_time'

    app/views/my/_sidebar.rhtml:4:in `_run_erb_47app47views47my47_sidebar46rhtml'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:338:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:338:in `execute'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template_handlers/compilable.rb:2

9:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template_handlers/compilable.rb:2

9:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/partial_template.rb:20:in `render

'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:30:in `benc

hmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/partial_template.rb:19:in `render

'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:22:in `render_templat

e'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/partials.rb:110:in `render_partia
l'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:273:in `render'

    app/views/my/account.rhtml:49:in `_run_erb_47app47views47my47account46rhtml'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/helpers/capture_helper.rb:141:in 

`call'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/helpers/capture_helper.rb:141:in 

`capture_erb_with_buffer'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/helpers/capture_helper.rb:44:in `

capture'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/helpers/capture_helper.rb:125:in 

`content_for'

    app/helpers/application_helper.rb:512:in `content_for'

    app/views/my/account.rhtml:48:in `_run_erb_47app47views47my47account46rhtml'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:338:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:338:in `execute'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template_handlers/compilable.rb:2

9:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template_handlers/compilable.rb:2

9:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:35:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:22:in `render_templat

e'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:245:in `render_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1108:in `render_for

_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:841:in `render_with

_no_layout'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/layout.rb:251:in `render_wi

thout_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:51:in `rend

er'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/core_ext/benchmark.rb:8:in 

`realtime'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:51:in `rend

er'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1157:in `default_re

nder'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1163:in `perform_ac

tion_without_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:580:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:573:in `perform_

action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/rescue.rb:201:in `perform_a

ction_without_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:13:in 

`perform_action'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstract/

query_cache.rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:12:in 

`perform_action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:569:in `process_

without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session_management.rb:130:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:389:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:149:in `handl

e_request'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:107:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `synch

ronize'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:120:in `dispa

tch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:35:in `dispat

ch'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:158:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:281:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/lib/mongrel/command.rb:212:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

    /usr/bin/mongrel_rails:19:in `load'

    /usr/bin/mongrel_rails:19

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2008-07-14 21:24 - Jean-Philippe Lang

Do you have tzinfo plugin installed in vendor/plugins ?

If so, try to remove it and restart.

#2 - 2008-07-15 08:50 - Sergej Jegorov

- Status changed from New to Resolved

Your are right.

I have a tzinfo_timezone plugin installed. I remove this plugin "script/plugin remove tzinfo_timezone" and all works fine.

Thank you.

#3 - 2008-07-15 21:33 - Youssef Abou-Kewik

You could also just:

gem install tzinfo

which is required by the tzinfo_timezone plugin :)

#4 - 2008-07-15 21:35 - Youssef Abou-Kewik

Youssef Abou-Kewik wrote:

You could also just:

gem install tzinfo

which is required by the tzinfo_timezone plugin :)

 This was wrong, scratch that..
#5 - 2008-08-13 17:28 - Ralph Lange

This issue is still current (as of r1745):

While the FAQ tells you to install tzinfo_timezone to support DST, doing so leaves your installation in an unuseable state.

#6 - 2008-08-25 18:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

I fixed the FAQ. tzinfo_timezone plugin should not be installed when using Rails 2.1.
